Compare commits

...

6 Commits

Author SHA1 Message Date
Joey Baker
5f0273a973 2.2.0 2016-07-05 19:17:26 -07:00
Joey Baker
3317e0a8f2 Fork to @getable 2016-07-05 19:17:06 -07:00
Joey Baker
61fbf434af Merge branch 'require-payload-on-put' 2016-07-05 19:12:45 -07:00
Joey Baker
f71e06362b Merge branch 'fix-include' 2016-07-05 19:12:34 -07:00
Joey Baker
a5e6b2dd46 Fix: include option api correction
AFAIK, hapi-sequelize doesn't have a `request.models`, but it does have
a `request.getDb()` method that has `models` on it. This calls that
method to get the related models, but allows `request.models` to keep
working for backward compatibility.
2016-07-05 18:33:03 -07:00
Joey Baker
e7bc048a46 Internal: upgrade to babel6
Upgrades to babel 6. The major win (aside from some minor
performance gains), is that this module can now be `npm link`ed into a
babel 6 code base.
2016-07-05 14:47:44 -07:00
7 changed files with 72 additions and 15 deletions

View File

@ -1,3 +1,14 @@
{
"stage": 1
"presets": [
"stage-1"
],
"plugins": [
"transform-object-rest-spread",
"transform-class-properties",
"add-module-exports",
"closure-elimination",
"transform-decorators-legacy",
"transform-es2015-modules-commonjs"
],
"sourceMaps": true
}

View File

@ -1,19 +1,21 @@
{
"name": "hapi-sequelize-crud",
"version": "2.1.0",
"name": "@getable/hapi-sequelize-crud",
"version": "2.2.0",
"description": "Hapi plugin that automatically generates RESTful API for CRUD",
"main": "build/index.js",
"config": {
"ghooks": {
"pre-commit": "npm run lint && grunt"
"pre-commit": "npm run lint && npm run build"
}
},
"scripts": {
"lint": "eslint src test",
"test": "echo \"Error: no test specified\" && exit 1"
"test": "echo \"Error: no test specified\" && exit 1",
"build": "scripty",
"watch": "scripty"
},
"repository": {
"git": "https://github.com/mdibaiee/hapi-sequelize-crud"
"git": "https://github.com/Getable/hapi-sequelize-crud"
},
"files": [
"build"
@ -21,14 +23,16 @@
"author": "Mahdi Dibaiee <mdibaiee@aol.com> (http://dibaiee.ir/)",
"license": "MIT",
"devDependencies": {
"babel": "5.8.3",
"babel-cli": "^6.10.1",
"babel-plugin-add-module-exports": "^0.2.1",
"babel-plugin-closure-elimination": "^1.0.6",
"babel-plugin-transform-decorators-legacy": "^1.3.4",
"babel-plugin-transform-es2015-modules-commonjs": "^6.10.3",
"babel-preset-stage-1": "^6.5.0",
"eslint": "2.10.2",
"eslint-config-pichak": "1.0.1",
"ghooks": "1.0.3",
"grunt": "0.4.5",
"grunt-babel": "5.0.3",
"grunt-contrib-clean": "0.7.0",
"grunt-contrib-watch": "0.6.1"
"scripty": "^1.6.0"
},
"dependencies": {
"babel": "5.8.3",

15
scripts/build.sh Executable file
View File

@ -0,0 +1,15 @@
#!/bin/bash
# strict mode http://redsymbol.net/articles/unofficial-bash-strict-mode/
set -euo pipefail
IFS=$'\n\t'
source "scripts/env.sh"
babel="./node_modules/.bin/babel"
build () {
$babel "$SRC_DIR" --out-dir "$OUT_DIR" $@
}
build $@

7
scripts/env.sh Normal file
View File

@ -0,0 +1,7 @@
#!/bin/bash
# strict mode http://redsymbol.net/articles/unofficial-bash-strict-mode/
set -euo pipefail
IFS=$'\n\t'
export SRC_DIR="./src"
export OUT_DIR="./build"

6
scripts/watch.sh Executable file
View File

@ -0,0 +1,6 @@
#!/bin/bash
# strict mode http://redsymbol.net/articles/unofficial-bash-strict-mode/
set -euo pipefail
IFS=$'\n\t'
./scripts/build.sh --watch

View File

@ -31,6 +31,8 @@ export const list = (server, model) => {
const include = parseInclude(request);
const where = parseWhere(request);
if (include instanceof Error) return void reply(include);
const list = await model.findAll({
where, include,
});

View File

@ -1,18 +1,30 @@
import { omit } from 'lodash';
import { omit, identity } from 'lodash';
export const parseInclude = request => {
const include = Array.isArray(request.query.include) ? request.query.include
: [request.query.include];
const noGetDb = typeof request.getDb !== 'function';
const noRequestModels = request.models;
if (noGetDb && noRequestModels) {
return new Error('`request.getDb` or `request.models` are not defined. Be sure to load hapi-sequelize before hapi-sequelize-crud.');
}
const {models} = !noGetDb
? request.getDb()
: request
;
return include.map(a => {
if (typeof a === 'string') return request.models[a];
if (typeof a === 'string') return models[a];
if (a && typeof a.model === 'string' && a.model.length) {
a.model = request.models[a.model];
a.model = models[a.model];
}
return a;
}).filter(a => a);
}).filter(identity);
};
export const parseWhere = request => {